#ifndef _FB_H_
#define _FB_H_

typedef struct {
  int height, width, words, bitplanes, size;
  int *pal_red,*pal_green,*pal_blue;
  unsigned short *data;
} fb_picture;

int fb_setup(int);
void fb_exit();
int fb_viewpic(fb_picture *);
void fb_waitkey();
void fb_go_tty();
void fb_go_fb();
void fb_waitkey();
void fb_setcolor(int,int,int,int);
void fb_setpalette(int *,int *,int *);
void fb_putpixel(int,int,int);
void fb_free_picture(fb_picture *);
fb_picture *fb_alloc_picture(int,int,int);

#endif /* _FB_H_ */
